


PERF(1)                                                   PERF(1)


NNAAMMEE
       perf - report kernel statistics

SSYYNNOOPPSSIISS
       ppeerrff [-a]
            [-sampletime sec] [-drawline] [-nosmooth] [-drawone]
            [-noreset]   [-scrollback  sampled-values]  [-columns
       cols]
            [-col1 color]  [-col2  color]  [-col3  color]  [-col4
       color]
            [-foreground color] [-background color]
            [-cpu] [-disk] [-page] [-swap] [-interrupts]
            [-packets] [-errors] [-collisions] [-context] [-load]
            [host]


DDEESSCCRRIIPPTTIIOONN
       ppeerrff is an XView program that  reports  kernel  statistics
       for a given hhoosstt (or for the localhost if no host is spec-
       ified). The program is a frontend to the rstatd(8) daemon.

       The  displayed window consists of one or more fields, each
       showing a specified parameter. The name of  the  parameter
       and  of  its components are shown in the lower left corner
       of the field, the maximum value of the visible data in the
       lower right corner.


OOPPTTIIOONNSS
       --ssaammpplleettiimmee sseecc
              Query  the  rstatd  each  sseecc seconds for new data.
              Default is 2.

       --ddrraawwlliinnee
              Draw only a line instead of a filled block.

       --nnoossmmooootthh
              If the drawing is filled, do not smooth the data.

       --ddrraawwoonnee
              Show only the sum of multiple subvalues  like  e.g.
              usr, nice & sys.  This is the default on monochrome
              diplays.

       --nnoorreesseett
              Do not readjust the  maximum  value  shown  in  the
              lower right corner.

       --ssccrroollllbbaacckk ssaammpplleedd--vvaalluueess
              Set   the   scrollback  buffer  to  ssaammpplleedd--vvaalluueess..
              Default is 200, i.e. 20 minutes if sampletime is 2.
              The    total    number   of   samples   stored   is
              field_width_in_pixels + scrollback.




                        15 September 1993                       1





PERF(1)                                                   PERF(1)


       --ccoolluummnnss ccoollss
              Display the fields in ccoollss columns. Default is 1.

       --ccooll[[11--44]] ccoolloorr --ffoorrggrroouunndd ccoolloorr --bbaacckkggrroouunndd ccoolloorr
              The first subvalue is drawn with  the  color  col1,
              the  second  with col2 and so on.  ccoolloorr must be of
              the form ##rrrrggggbbbb,, where rrrr is the red component, gggg
              the green and bbbb the blue one (e.g #ff0000 is red).
              Defaults:
                   col1: #000000 (black)
                   col2: #a0a0a0
                   col3: #c0c0c0
                   col3: #e0e0e0
                   col4: #ffffff (white)
                   foreground is black and background is white.

The following options specify, which statistic  values  are  dis-
       played:

       --ccppuu   Percent of cpu being used.

       --ddiisskk  Disk transfers per second.

       --ppaaggee  Pages paged per second.

       --sswwaapp  Pages swapped per second.

       --iinntteerrrruuppttss
              Number of device interrupts in a second.

       --ppaacckkeettss
              Network packets per second.

       --eerrrroorrss
              Errors per second on receiving packets.

       --ccoolllliissiioonnss
              Collisions per second detected on the network.

       --ccoonntteexxtt
              Number of context switches per second.

       --llooaadd  Load average.

       --aa     All of the above 10 options.


KKEEYYBBOOAARRDD AACCCCEELLEERRAATTOORRSS
       qq      Quit the program.

       ss      Toggle solid drawing.

       oo      Toggle smooth option.




                        15 September 1993                       2





PERF(1)                                                   PERF(1)


       11      Toggle the drawone option.

       ??      Bring up the properties window.

       NNLL ((NNeewwLLiinnee))
              Restore  all scrollback windows to the current val-
              ues.

MMoouussee ((PPooiinntteerr ddeevviiccee)) UUssaaggee
       RRiigghhtt MMoouussee BBuuttttoonn
              You can bring up the pprrooppeerrttiieess wwiinnddooww by  clicking
              the right mouse button.  Don't forget to select the
              'Apply' button after changing values.
              If you click the right mouse button over one of the
              displayed  fields while pressing the SSHHIIFFTT key, you
              can change values valid only for  this  field.  You
              can  reset  this settings by selecting the 'No spe-
              cial flags' button.

       LLeefftt MMoouussee BBuuttttoonn
              If you click in a field with the left mouse button,
              the  exact value of the sample will be displayed in
              the properties window.  If you drag the field,  you
              can  examine  the  sampled values in the scrollback
              history.

       MMiiddddllee MMoouussee BBuuttttoonn
              You can scroll more  than  one  field  at  once  by
              selecting  all  of them first with the middle mouse
              button.

XX RREESSOOUURRCCEESS
       Following X Resources are examined during startup:
                   perf.sampletime
                   perf.drawline
                   perf.nosmooth
                   perf.drawone
                   perf.noreset
                   perf.scrollback
                   perf.columns
                   perf.col1
                   perf.col2
                   perf.col3
                   perf.col4
                   perf.foreground
                   perf.background

       Note: Options take precedence over X Resources.

FFEEAATTUURREESS//BBUUGGSS
       The maximum scrollback is limited to 20000 values. This is
       because  by initiating a scrollback the whole history will
       be drawn on a single pixmap and this can be a memory  hog.
       Besides  X  limits the size of a pixmap to 2^15 pixels (if



                        15 September 1993                       3





PERF(1)                                                   PERF(1)


       I'm right).
























































                        15 September 1993                       4


